#ifndef FLASH_DRV_H
#define FLASH_DRV_H

#include "parameter.h"

// 定义Flash存储的标签和键
#define FLASH_SYSTEM_DATA_TAG "system_d"
#define FLASH_SYSTEM_WORK_DATA_KEY "system_w_k"

// 直接使用parameter.h中定义的system_work_parameter_struct

// 初始化Flash
void FlashInit(void);

// 读取工作参数
uint8_t FlashSystemWorkParameterRead(system_work_parameter_struct *data);

// 写入工作参数
void FlashSystemWorkParameterWrite(system_work_parameter_struct *current_data);

#endif // FLASH_DRV_H 